Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1582928 - mingw-gtk3: FTBFS in Fedora 28
Summary: mingw-gtk3: FTBFS in Fedora 28
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-gtk3
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-05-27 18:27 UTC by Fedora Release Engineering
Modified: 2018-07-19 18:05 UTC (History)
2 users (show)

Fixed In Version: mingw-gtk3-3.22.30-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-19 18:05:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log (deleted)
2018-05-27 18:27 UTC, Fedora Release Engineering
no flags Details
build.log (deleted)
2018-05-27 18:29 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2018-05-27 18:29 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2018-05-27 18:27:24 UTC
mingw-gtk3 failed to build from source in Fedora 28

https://koji.fedoraproject.org/koji/taskinfo?taskID=27208487

For details on the mass rebuild see:
https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Please fix mingw-gtk3 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
mingw-gtk3 will be orphaned. Before branching of Fedora 29,
mingw-gtk3 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2018-05-27 18:27:40 UTC
Created attachment 1442579 [details]
root.log

Comment 2 Fedora Release Engineering 2018-05-27 18:29:25 UTC
Created attachment 1442580 [details]
build.log

Comment 3 Fedora Release Engineering 2018-05-27 18:29:31 UTC
Created attachment 1442581 [details]
state.log

Comment 4 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:12:53 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to acknowledge this. Following the latest policy for such packages [2], your package will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 5 Zbigniew Jędrzejewski-Szmek 2018-07-09 04:26:28 UTC
Dear Maintainer,

your package has not been built successfully in F28. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://fedoraproject.org/wiki/Fails_to_build_from_source#Package_Removal_for_Long-standing_FTBFS_bugs

Comment 6 Kalev Lember 2018-07-09 22:58:54 UTC
Thanks, fixed in mingw-gtk3-3.22.30-1.fc28

Comment 7 Fedora Update System 2018-07-09 22:59:17 UTC
mingw-gtk3-3.22.30-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ab6b945df

Comment 8 Fedora Update System 2018-07-11 23:41:50 UTC
mingw-gtk3-3.22.30-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ab6b945df

Comment 9 Fedora Update System 2018-07-19 18:05:14 UTC
mingw-gtk3-3.22.30-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.